diff --git a/compiler/basicTypes/OccName.lhs b/compiler/basicTypes/OccName.lhs
index 9ec57d4..447b5ae 100644
--- a/compiler/basicTypes/OccName.lhs
+++ b/compiler/basicTypes/OccName.lhs
@@ -20,89 +20,83 @@
 --
 -- * 'Var.Var': see "Var#name_types"
 
-{-# OPTIONS -fno-warn-tabs #-}
--- The above warning supression flag is a temporary kludge.
--- While working on this module you are encouraged to remove it and
--- detab the module (please do the detabbing in a separate patch). See
---     http://ghc.haskell.org/trac/ghc/wiki/Commentary/CodingStyle#TabsvsSpaces
--- for details
 
 module OccName (
-	-- * The 'NameSpace' type
-	NameSpace, -- Abstract
-	
-	-- ** Construction
-	-- $real_vs_source_data_constructors
-	tcName, clsName, tcClsName, dataName, varName, 
-	tvName, srcDataName,
-
-	-- ** Pretty Printing
-	pprNameSpace, pprNonVarNameSpace, pprNameSpaceBrief,
-
-	-- * The 'OccName' type
-	OccName, 	-- Abstract, instance of Outputable
-	pprOccName, 
-
-	-- ** Construction	
-	mkOccName, mkOccNameFS, 
-	mkVarOcc, mkVarOccFS,
-	mkDataOcc, mkDataOccFS,
-	mkTyVarOcc, mkTyVarOccFS,
-	mkTcOcc, mkTcOccFS,
-	mkClsOcc, mkClsOccFS,
+        -- * The 'NameSpace' type
+        NameSpace, -- Abstract
+        
+        -- ** Construction
+        -- $real_vs_source_data_constructors
+        tcName, clsName, tcClsName, dataName, varName, 
+        tvName, srcDataName,
+
+        -- ** Pretty Printing
+        pprNameSpace, pprNonVarNameSpace, pprNameSpaceBrief,
+
+        -- * The 'OccName' type
+        OccName,        -- Abstract, instance of Outputable
+        pprOccName, 
+
+        -- ** Construction      
+        mkOccName, mkOccNameFS, 
+        mkVarOcc, mkVarOccFS,
+        mkDataOcc, mkDataOccFS,
+        mkTyVarOcc, mkTyVarOccFS,
+        mkTcOcc, mkTcOccFS,
+        mkClsOcc, mkClsOccFS,
         mkDFunOcc,
-	mkTupleOcc, 
-	setOccNameSpace,
+        mkTupleOcc, 
+        setOccNameSpace,
         demoteOccName,
         HasOccName(..),
 
-	-- ** Derived 'OccName's
+        -- ** Derived 'OccName's
         isDerivedOccName,
-	mkDataConWrapperOcc, mkWorkerOcc, mkDefaultMethodOcc, 
+        mkDataConWrapperOcc, mkWorkerOcc, mkDefaultMethodOcc, 
         mkGenDefMethodOcc, 
-	mkDerivedTyConOcc, mkNewTyCoOcc, mkClassOpAuxOcc,
+        mkDerivedTyConOcc, mkNewTyCoOcc, mkClassOpAuxOcc,
         mkCon2TagOcc, mkTag2ConOcc, mkMaxTagOcc,
-  	mkClassDataConOcc, mkDictOcc, mkIPOcc, 
- 	mkSpecOcc, mkForeignExportOcc, mkGenOcc1, mkGenOcc2,
- 	mkGenD, mkGenR, mkGen1R, mkGenRCo, mkGenC, mkGenS,
+        mkClassDataConOcc, mkDictOcc, mkIPOcc, 
+        mkSpecOcc, mkForeignExportOcc, mkGenOcc1, mkGenOcc2,
+        mkGenD, mkGenR, mkGen1R, mkGenRCo, mkGenC, mkGenS,
         mkDataTOcc, mkDataCOcc, mkDataConWorkerOcc,
-	mkSuperDictSelOcc, mkLocalOcc, mkMethodOcc, mkInstTyTcOcc,
-	mkInstTyCoOcc, mkEqPredCoOcc,
+        mkSuperDictSelOcc, mkLocalOcc, mkMethodOcc, mkInstTyTcOcc,
+        mkInstTyCoOcc, mkEqPredCoOcc,
         mkVectOcc, mkVectTyConOcc, mkVectDataConOcc, mkVectIsoOcc,
         mkPDataTyConOcc,  mkPDataDataConOcc,
-	mkPDatasTyConOcc, mkPDatasDataConOcc,
+        mkPDatasTyConOcc, mkPDatasDataConOcc,
         mkPReprTyConOcc, 
         mkPADFunOcc,
 
-	-- ** Deconstruction
-	occNameFS, occNameString, occNameSpace, 
+        -- ** Deconstruction
+        occNameFS, occNameString, occNameSpace, 
 
-	isVarOcc, isTvOcc, isTcOcc, isDataOcc, isDataSymOcc, isSymOcc, isValOcc,
-	parenSymOcc, startsWithUnderscore, 
-	
-	isTcClsNameSpace, isTvNameSpace, isDataConNameSpace, isVarNameSpace, isValNameSpace,
+        isVarOcc, isTvOcc, isTcOcc, isDataOcc, isDataSymOcc, isSymOcc, isValOcc,
+        parenSymOcc, startsWithUnderscore, 
+        
+        isTcClsNameSpace, isTvNameSpace, isDataConNameSpace, isVarNameSpace, isValNameSpace,
 
-	isTupleOcc_maybe,
+        isTupleOcc_maybe,
 
-	-- * The 'OccEnv' type
-	OccEnv, emptyOccEnv, unitOccEnv, extendOccEnv, mapOccEnv,
-	lookupOccEnv, mkOccEnv, mkOccEnv_C, extendOccEnvList, elemOccEnv,
-	occEnvElts, foldOccEnv, plusOccEnv, plusOccEnv_C, extendOccEnv_C,
+        -- * The 'OccEnv' type
+        OccEnv, emptyOccEnv, unitOccEnv, extendOccEnv, mapOccEnv,
+        lookupOccEnv, mkOccEnv, mkOccEnv_C, extendOccEnvList, elemOccEnv,
+        occEnvElts, foldOccEnv, plusOccEnv, plusOccEnv_C, extendOccEnv_C,
         extendOccEnv_Acc, filterOccEnv, delListFromOccEnv, delFromOccEnv,
 
-	-- * The 'OccSet' type
-	OccSet, emptyOccSet, unitOccSet, mkOccSet, extendOccSet, 
-	extendOccSetList,
-	unionOccSets, unionManyOccSets, minusOccSet, elemOccSet, occSetElts, 
-	foldOccSet, isEmptyOccSet, intersectOccSet, intersectsOccSet,
+        -- * The 'OccSet' type
+        OccSet, emptyOccSet, unitOccSet, mkOccSet, extendOccSet, 
+        extendOccSetList,
+        unionOccSets, unionManyOccSets, minusOccSet, elemOccSet, occSetElts, 
+        foldOccSet, isEmptyOccSet, intersectOccSet, intersectsOccSet,
                   
-	-- * Tidying up
-	TidyOccEnv, emptyTidyOccEnv, tidyOccName, initTidyOccEnv,
+        -- * Tidying up
+        TidyOccEnv, emptyTidyOccEnv, tidyOccName, initTidyOccEnv,
 
-	-- * Lexical characteristics of Haskell names
-	isLexCon, isLexVar, isLexId, isLexSym,
-	isLexConId, isLexConSym, isLexVarId, isLexVarSym,
-	startsVarSym, startsVarId, startsConSym, startsConId
+        -- * Lexical characteristics of Haskell names
+        isLexCon, isLexVar, isLexId, isLexSym,
+        isLexConId, isLexConSym, isLexVarId, isLexVarSym,
+        startsVarSym, startsVarId, startsConSym, startsConId
     ) where
 
 #include "Typeable.h"
@@ -121,18 +115,18 @@ import Data.Data
 \end{code}
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection{Name space}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
-data NameSpace = VarName	-- Variables, including "real" data constructors
-	       | DataName	-- "Source" data constructors 
-	       | TvName		-- Type variables
-	       | TcClsName	-- Type constructors and classes; Haskell has them
-				-- in the same name space for now.
-	       deriving( Eq, Ord )
+data NameSpace = VarName        -- Variables, including "real" data constructors
+               | DataName       -- "Source" data constructors 
+               | TvName         -- Type variables
+               | TcClsName      -- Type constructors and classes; Haskell has them
+                                -- in the same name space for now.
+               deriving( Eq, Ord )
    {-! derive: Binary !-}
 
 -- Note [Data Constructors]  
@@ -141,9 +135,9 @@ data NameSpace = VarName	-- Variables, including "real" data constructors
 -- $real_vs_source_data_constructors
 -- There are two forms of data constructor:
 --
---	[Source data constructors] The data constructors mentioned in Haskell source code
+--      [Source data constructors] The data constructors mentioned in Haskell source code
 --
---	[Real data constructors] The data constructors of the representation type, which may not be the same as the source type
+--      [Real data constructors] The data constructors of the representation type, which may not be the same as the source type
 --
 -- For example:
 --
@@ -160,13 +154,13 @@ tvName, varName            :: NameSpace
 
 -- Though type constructors and classes are in the same name space now,
 -- the NameSpace type is abstract, so we can easily separate them later
-tcName    = TcClsName		-- Type constructors
-clsName   = TcClsName		-- Classes
-tcClsName = TcClsName		-- Not sure which!
+tcName    = TcClsName           -- Type constructors
+clsName   = TcClsName           -- Classes
+tcClsName = TcClsName           -- Not sure which!
 
 dataName    = DataName
-srcDataName = DataName	-- Haskell-source data constructors should be
-			-- in the Data name space
+srcDataName = DataName  -- Haskell-source data constructors should be
+                        -- in the Data name space
 
 tvName      = TvName
 varName     = VarName
@@ -183,7 +177,7 @@ isTvNameSpace :: NameSpace -> Bool
 isTvNameSpace TvName = True
 isTvNameSpace _      = False
 
-isVarNameSpace :: NameSpace -> Bool	-- Variables or type variables, but not constructors
+isVarNameSpace :: NameSpace -> Bool     -- Variables or type variables, but not constructors
 isVarNameSpace TvName  = True
 isVarNameSpace VarName = True
 isVarNameSpace _       = False
@@ -221,9 +215,9 @@ demoteNameSpace TcClsName = Just DataName
 
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection[Name-pieces-datatypes]{The @OccName@ datatypes}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
@@ -240,9 +234,9 @@ instance Eq OccName where
     (OccName sp1 s1) == (OccName sp2 s2) = s1 == s2 && sp1 == sp2
 
 instance Ord OccName where
-	-- Compares lexicographically, *not* by Unique of the string
+        -- Compares lexicographically, *not* by Unique of the string
     compare (OccName sp1 s1) (OccName sp2 s2) 
-	= (s1  `compare` s2) `thenCmp` (sp1 `compare` sp2)
+        = (s1  `compare` s2) `thenCmp` (sp1 `compare` sp2)
 
 instance Data OccName where
   -- don't traverse?
@@ -253,9 +247,9 @@ instance Data OccName where
 
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection{Printing}
-%*									*
+%*                                                                      *
 %************************************************************************
  
 \begin{code}
@@ -270,14 +264,14 @@ pprOccName (OccName sp occ)
     else pp_occ <> pp_debug sty
   where
     pp_debug sty | debugStyle sty = braces (pprNameSpaceBrief sp)
-	         | otherwise      = empty
+                 | otherwise      = empty
 
     pp_occ = sdocWithDynFlags $ \dflags ->
              if gopt Opt_SuppressUniques dflags
              then text (strip_th_unique (unpackFS occ))
              else ftext occ
 
-	-- See Note [Suppressing uniques in OccNames]
+        -- See Note [Suppressing uniques in OccNames]
     strip_th_unique ('[' : c : _) | isAlphaNum c = []
     strip_th_unique (c : cs) = c : strip_th_unique cs
     strip_th_unique []       = []
@@ -290,9 +284,9 @@ Template Haskell that have been turned into a string in the OccName.
 See Note [Unique OccNames from Template Haskell] in Convert.hs
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection{Construction}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
@@ -347,9 +341,9 @@ class HasOccName name where
 
 
 %************************************************************************
-%*									*
-		Environments
-%*									*
+%*                                                                      *
+                Environments
+%*                                                                      *
 %************************************************************************
 
 OccEnvs are used mainly for the envts in ModIfaces.
@@ -361,7 +355,7 @@ this key is less than 2^24, and indeed FastStrings are allocated keys
 sequentially starting at 0.
 
 So we can make a Unique using
-	mkUnique ns key  :: Unique
+        mkUnique ns key  :: Unique
 where 'ns' is a Char representing the name space.  This in turn makes it
 easy to build an OccEnv.
 
@@ -390,24 +384,24 @@ extendOccEnv_Acc :: (a->b->b) -> (a->b) -> OccEnv b -> OccName -> a -> OccEnv b
 plusOccEnv     :: OccEnv a -> OccEnv a -> OccEnv a
 plusOccEnv_C   :: (a->a->a) -> OccEnv a -> OccEnv a -> OccEnv a
 mapOccEnv      :: (a->b) -> OccEnv a -> OccEnv b
-delFromOccEnv 	   :: OccEnv a -> OccName -> OccEnv a
+delFromOccEnv      :: OccEnv a -> OccName -> OccEnv a
 delListFromOccEnv :: OccEnv a -> [OccName] -> OccEnv a
-filterOccEnv	   :: (elt -> Bool) -> OccEnv elt -> OccEnv elt
+filterOccEnv       :: (elt -> Bool) -> OccEnv elt -> OccEnv elt
 
-emptyOccEnv  	 = A emptyUFM
+emptyOccEnv      = A emptyUFM
 unitOccEnv x y = A $ unitUFM x y 
 extendOccEnv (A x) y z = A $ addToUFM x y z
 extendOccEnvList (A x) l = A $ addListToUFM x l
 lookupOccEnv (A x) y = lookupUFM x y
 mkOccEnv     l    = A $ listToUFM l
-elemOccEnv x (A y) 	 = elemUFM x y
-foldOccEnv a b (A c)	 = foldUFM a b c 
-occEnvElts (A x)	 = eltsUFM x
-plusOccEnv (A x) (A y)	 = A $ plusUFM x y 
-plusOccEnv_C f (A x) (A y)	 = A $ plusUFM_C f x y 
+elemOccEnv x (A y)       = elemUFM x y
+foldOccEnv a b (A c)     = foldUFM a b c 
+occEnvElts (A x)         = eltsUFM x
+plusOccEnv (A x) (A y)   = A $ plusUFM x y 
+plusOccEnv_C f (A x) (A y)       = A $ plusUFM_C f x y 
 extendOccEnv_C f (A x) y z   = A $ addToUFM_C f x y z
 extendOccEnv_Acc f g (A x) y z   = A $ addToUFM_Acc f g x y z
-mapOccEnv f (A x)	 = A $ mapUFM f x
+mapOccEnv f (A x)        = A $ mapUFM f x
 mkOccEnv_C comb l = A $ addListToUFM_C comb emptyUFM l
 delFromOccEnv (A x) y    = A $ delFromUFM x y
 delListFromOccEnv (A x) y  = A $ delListFromUFM x y
@@ -418,32 +412,32 @@ instance Outputable a => Outputable (OccEnv a) where
 
 type OccSet = UniqSet OccName
 
-emptyOccSet	  :: OccSet
-unitOccSet	  :: OccName -> OccSet
+emptyOccSet       :: OccSet
+unitOccSet        :: OccName -> OccSet
 mkOccSet          :: [OccName] -> OccSet
 extendOccSet      :: OccSet -> OccName -> OccSet
 extendOccSetList  :: OccSet -> [OccName] -> OccSet
-unionOccSets	  :: OccSet -> OccSet -> OccSet
+unionOccSets      :: OccSet -> OccSet -> OccSet
 unionManyOccSets  :: [OccSet] -> OccSet
-minusOccSet 	  :: OccSet -> OccSet -> OccSet
-elemOccSet	  :: OccName -> OccSet -> Bool
-occSetElts	  :: OccSet -> [OccName]
-foldOccSet	  :: (OccName -> b -> b) -> b -> OccSet -> b
-isEmptyOccSet	  :: OccSet -> Bool
+minusOccSet       :: OccSet -> OccSet -> OccSet
+elemOccSet        :: OccName -> OccSet -> Bool
+occSetElts        :: OccSet -> [OccName]
+foldOccSet        :: (OccName -> b -> b) -> b -> OccSet -> b
+isEmptyOccSet     :: OccSet -> Bool
 intersectOccSet   :: OccSet -> OccSet -> OccSet
 intersectsOccSet  :: OccSet -> OccSet -> Bool
 
-emptyOccSet	  = emptyUniqSet
-unitOccSet	  = unitUniqSet
+emptyOccSet       = emptyUniqSet
+unitOccSet        = unitUniqSet
 mkOccSet          = mkUniqSet
-extendOccSet	  = addOneToUniqSet
+extendOccSet      = addOneToUniqSet
 extendOccSetList  = addListToUniqSet
 unionOccSets      = unionUniqSets
 unionManyOccSets  = unionManyUniqSets
-minusOccSet	  = minusUniqSet
+minusOccSet       = minusUniqSet
 elemOccSet        = elementOfUniqSet
 occSetElts        = uniqSetToList
-foldOccSet	  = foldUniqSet
+foldOccSet        = foldUniqSet
 isEmptyOccSet     = isEmptyUniqSet
 intersectOccSet   = intersectUniqSets
 intersectsOccSet s1 s2 = not (isEmptyOccSet (s1 `intersectOccSet` s2))
@@ -451,9 +445,9 @@ intersectsOccSet s1 s2 = not (isEmptyOccSet (s1 `intersectOccSet` s2))
 
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection{Predicates and taking them apart}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
@@ -503,7 +497,7 @@ isSymOcc (OccName TvName s)    = isLexSym s
 parenSymOcc :: OccName -> SDoc -> SDoc
 -- ^ Wrap parens around an operator
 parenSymOcc occ doc | isSymOcc occ = parens doc
-		    | otherwise    = doc
+                    | otherwise    = doc
 \end{code}
 
 
@@ -512,39 +506,39 @@ startsWithUnderscore :: OccName -> Bool
 -- ^ Haskell 98 encourages compilers to suppress warnings about unsed
 -- names in a pattern if they start with @_@: this implements that test
 startsWithUnderscore occ = case occNameString occ of
-			     ('_' : _) -> True
-			     _other    -> False
+                             ('_' : _) -> True
+                             _other    -> False
 \end{code}
 
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection{Making system names}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 Here's our convention for splitting up the interface file name space:
 
-   d...		dictionary identifiers
-   		(local variables, so no name-clash worries)
+   d...         dictionary identifiers
+                (local variables, so no name-clash worries)
 
 All of these other OccNames contain a mixture of alphabetic
 and symbolic characters, and hence cannot possibly clash with
 a user-written type or function name
 
-   $f...	Dict-fun identifiers (from inst decls)
-   $dmop	Default method for 'op'
-   $pnC		n'th superclass selector for class C
-   $wf		Worker for functtoin 'f'
-   $sf..	Specialised version of f
-   T:C		Tycon for dictionary for class C
-   D:C		Data constructor for dictionary for class C
+   $f...        Dict-fun identifiers (from inst decls)
+   $dmop        Default method for 'op'
+   $pnC         n'th superclass selector for class C
+   $wf          Worker for functtoin 'f'
+   $sf..        Specialised version of f
+   T:C          Tycon for dictionary for class C
+   D:C          Data constructor for dictionary for class C
    NTCo:T       Coercion connecting newtype T with its representation type
    TFCo:R       Coercion connecting a data family to its respresentation type R
 
 In encoded form these appear as Zdfxxx etc
 
-	:...		keywords (export:, letrec: etc.)
+        :...            keywords (export:, letrec: etc.)
 --- I THINK THIS IS WRONG!
 
 This knowledge is encoded in the following functions.
@@ -554,9 +548,9 @@ NB: The string must already be encoded!
 
 \begin{code}
 mk_deriv :: NameSpace 
-	 -> String		-- Distinguishes one sort of derived name from another
-	 -> String
-	 -> OccName
+         -> String              -- Distinguishes one sort of derived name from another
+         -> String
+         -> OccName
 
 mk_deriv occ_sp sys_prefix str = mkOccName occ_sp (sys_prefix ++ str)
 
@@ -571,10 +565,10 @@ isDerivedOccName occ =
 \begin{code}
 mkDataConWrapperOcc, mkWorkerOcc, mkDefaultMethodOcc, 
         mkGenDefMethodOcc, mkDerivedTyConOcc, mkClassDataConOcc, mkDictOcc,
- 	mkIPOcc, mkSpecOcc, mkForeignExportOcc, mkGenOcc1, mkGenOcc2,
- 	mkGenD, mkGenR, mkGen1R, mkGenRCo,
-	mkDataTOcc, mkDataCOcc, mkDataConWorkerOcc, mkNewTyCoOcc,
-	mkInstTyCoOcc, mkEqPredCoOcc, mkClassOpAuxOcc,
+        mkIPOcc, mkSpecOcc, mkForeignExportOcc, mkGenOcc1, mkGenOcc2,
+        mkGenD, mkGenR, mkGen1R, mkGenRCo,
+        mkDataTOcc, mkDataCOcc, mkDataConWorkerOcc, mkNewTyCoOcc,
+        mkInstTyCoOcc, mkEqPredCoOcc, mkClassOpAuxOcc,
         mkCon2TagOcc, mkTag2ConOcc, mkMaxTagOcc
    :: OccName -> OccName
 
@@ -584,16 +578,16 @@ mkWorkerOcc         = mk_simple_deriv varName  "$w"
 mkDefaultMethodOcc  = mk_simple_deriv varName  "$dm"
 mkGenDefMethodOcc   = mk_simple_deriv varName  "$gdm"
 mkClassOpAuxOcc     = mk_simple_deriv varName  "$c"
-mkDerivedTyConOcc   = mk_simple_deriv tcName   ":"	-- The : prefix makes sure it classifies as a tycon/datacon
-mkClassDataConOcc   = mk_simple_deriv dataName "D:"	-- We go straight to the "real" data con
-							-- for datacons from classes
-mkDictOcc	    = mk_simple_deriv varName  "$d"
-mkIPOcc		    = mk_simple_deriv varName  "$i"
-mkSpecOcc	    = mk_simple_deriv varName  "$s"
+mkDerivedTyConOcc   = mk_simple_deriv tcName   ":"      -- The : prefix makes sure it classifies as a tycon/datacon
+mkClassDataConOcc   = mk_simple_deriv dataName "D:"     -- We go straight to the "real" data con
+                                                        -- for datacons from classes
+mkDictOcc           = mk_simple_deriv varName  "$d"
+mkIPOcc             = mk_simple_deriv varName  "$i"
+mkSpecOcc           = mk_simple_deriv varName  "$s"
 mkForeignExportOcc  = mk_simple_deriv varName  "$f"
-mkNewTyCoOcc        = mk_simple_deriv tcName   "NTCo:"	-- Coercion for newtypes
+mkNewTyCoOcc        = mk_simple_deriv tcName   "NTCo:"  -- Coercion for newtypes
 mkInstTyCoOcc       = mk_simple_deriv tcName   "TFCo:"   -- Coercion for type functions
-mkEqPredCoOcc	    = mk_simple_deriv tcName   "$co"
+mkEqPredCoOcc       = mk_simple_deriv tcName   "$co"
 
 -- used in derived instances
 mkCon2TagOcc        = mk_simple_deriv varName  "$con2tag_"
@@ -619,8 +613,8 @@ mkGen1R  = mk_simple_deriv tcName "Rep1_"
 mkGenRCo = mk_simple_deriv tcName "CoRep_"
 
 -- data T = MkT ... deriving( Data ) needs definitions for 
---	$tT   :: Data.Generics.Basics.DataType
---	$cMkT :: Data.Generics.Basics.Constr
+--      $tT   :: Data.Generics.Basics.DataType
+--      $cMkT :: Data.Generics.Basics.Constr
 mkDataTOcc = mk_simple_deriv varName  "$t"
 mkDataCOcc = mk_simple_deriv varName  "$c"
 
@@ -655,37 +649,37 @@ mkDataConWorkerOcc datacon_occ = setOccNameSpace varName datacon_occ
 \end{code}
 
 \begin{code}
-mkSuperDictSelOcc :: Int 	-- ^ Index of superclass, e.g. 3
-		  -> OccName 	-- ^ Class, e.g. @Ord@
-		  -> OccName	-- ^ Derived 'Occname', e.g. @$p3Ord@
+mkSuperDictSelOcc :: Int        -- ^ Index of superclass, e.g. 3
+                  -> OccName    -- ^ Class, e.g. @Ord@
+                  -> OccName    -- ^ Derived 'Occname', e.g. @$p3Ord@
 mkSuperDictSelOcc index cls_tc_occ
   = mk_deriv varName "$p" (show index ++ occNameString cls_tc_occ)
 
-mkLocalOcc :: Unique 		-- ^ Unique to combine with the 'OccName'
-	   -> OccName		-- ^ Local name, e.g. @sat@
-	   -> OccName		-- ^ Nice unique version, e.g. @$L23sat@
+mkLocalOcc :: Unique            -- ^ Unique to combine with the 'OccName'
+           -> OccName           -- ^ Local name, e.g. @sat@
+           -> OccName           -- ^ Nice unique version, e.g. @$L23sat@
 mkLocalOcc uniq occ
    = mk_deriv varName ("$L" ++ show uniq) (occNameString occ)
-	-- The Unique might print with characters 
-	-- that need encoding (e.g. 'z'!)
+        -- The Unique might print with characters 
+        -- that need encoding (e.g. 'z'!)
 \end{code}
 
 \begin{code}
 -- | Derive a name for the representation type constructor of a
 -- @data@\/@newtype@ instance.
-mkInstTyTcOcc :: String 		-- ^ Family name, e.g. @Map@
+mkInstTyTcOcc :: String                 -- ^ Family name, e.g. @Map@
               -> OccSet                 -- ^ avoid these Occs
-	      -> OccName		-- ^ @R:Map@
+              -> OccName                -- ^ @R:Map@
 mkInstTyTcOcc str set =
   chooseUniqueOcc tcName ('R' : ':' : str) set
 \end{code}
 
 \begin{code}
-mkDFunOcc :: String		-- ^ Typically the class and type glommed together e.g. @OrdMaybe@.
-				-- Only used in debug mode, for extra clarity
-	  -> Bool		-- ^ Is this a hs-boot instance DFun?
+mkDFunOcc :: String             -- ^ Typically the class and type glommed together e.g. @OrdMaybe@.
+                                -- Only used in debug mode, for extra clarity
+          -> Bool               -- ^ Is this a hs-boot instance DFun?
           -> OccSet             -- ^ avoid these Occs
-	  -> OccName		-- ^ E.g. @$f3OrdMaybe@
+          -> OccName            -- ^ E.g. @$f3OrdMaybe@
 
 -- In hs-boot files we make dict funs like $fx7ClsTy, which get bound to the real
 -- thing when we compile the mother module. Reason: we don't know exactly
@@ -695,7 +689,7 @@ mkDFunOcc info_str is_boot set
   = chooseUniqueOcc VarName (prefix ++ info_str) set
   where
     prefix | is_boot   = "$fx"
-	   | otherwise = "$f"
+           | otherwise = "$f"
 \end{code}
 
 Sometimes we need to pick an OccName that has not already been used,
@@ -724,7 +718,7 @@ because overloaded constructors (blarg) generate methods too.
 And convert to VarName space
 
 e.g. a call to constructor MkFoo where
-	data (Ord a) => Foo a = MkFoo a
+        data (Ord a) => Foo a = MkFoo a
 
 If this is necessary, we do it by prefixing '$m'.  These 
 guys never show up in error messages.  What a hack.
@@ -737,9 +731,9 @@ mkMethodOcc occ                     = mk_simple_deriv varName "$m" occ
 
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection{Tidying them up}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 Before we print chunks of code we like to rename it so that
@@ -769,13 +763,13 @@ type TidyOccEnv = UniqFM Int
   with "foo".  Otherwise if we tidy twice we get silly names like foo23.
 
 \begin{code}
-type TidyOccEnv = UniqFM Int	-- The in-scope OccNames
+type TidyOccEnv = UniqFM Int    -- The in-scope OccNames
   -- See Note [TidyOccEnv]
 
 emptyTidyOccEnv :: TidyOccEnv
 emptyTidyOccEnv = emptyUFM
 
-initTidyOccEnv :: [OccName] -> TidyOccEnv	-- Initialise with names to avoid!
+initTidyOccEnv :: [OccName] -> TidyOccEnv       -- Initialise with names to avoid!
 initTidyOccEnv = foldl add emptyUFM
   where
     add env (OccName _ fs) = addToUFM env fs 1
@@ -783,8 +777,8 @@ initTidyOccEnv = foldl add emptyUFM
 tidyOccName :: TidyOccEnv -> OccName -> (TidyOccEnv, OccName)
 tidyOccName env occ@(OccName occ_sp fs)
   = case lookupUFM env fs of
-	Just n  -> find n
-	Nothing -> (addToUFM env fs 1, occ)
+        Just n  -> find n
+        Nothing -> (addToUFM env fs 1, occ)
   where
     base :: String  -- Drop trailing digits (see Note [TidyOccEnv])
     base = reverse (dropWhile isDigit (reverse (unpackFS fs)))
@@ -804,20 +798,20 @@ tidyOccName env occ@(OccName occ_sp fs)
 \end{code}
 
 %************************************************************************
-%*									*
-		Stuff for dealing with tuples
-%*									*
+%*                                                                      *
+                Stuff for dealing with tuples
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
 mkTupleOcc :: NameSpace -> TupleSort -> Arity -> OccName
 mkTupleOcc ns sort ar = OccName ns (mkFastString str)
   where
- 	-- no need to cache these, the caching is done in the caller
-	-- (TysWiredIn.mk_tuple)
+        -- no need to cache these, the caching is done in the caller
+        -- (TysWiredIn.mk_tuple)
     str = case sort of
-		UnboxedTuple    -> '(' : '#' : commas ++ "#)"
-		BoxedTuple      -> '(' : commas ++ ")"
+                UnboxedTuple    -> '(' : '#' : commas ++ "#)"
+                BoxedTuple      -> '(' : commas ++ ")"
                 ConstraintTuple -> '(' : commas ++ ")"
                   -- Cute hack: reuse the standard tuple OccNames (and hence code)
                   -- for fact tuples, but give them different Uniques so they are not equal.
@@ -844,18 +838,18 @@ isTupleOcc_maybe :: OccName -> Maybe (NameSpace, TupleSort, Arity)
 -- Tuples are special, because there are so many of them!
 isTupleOcc_maybe (OccName ns fs)
   = case unpackFS fs of
-	'(':'#':',':rest     -> Just (ns, UnboxedTuple, 2 + count_commas rest)
-	'(':',':rest         -> Just (ns, BoxedTuple,   2 + count_commas rest)
-	_other               -> Nothing
+        '(':'#':',':rest     -> Just (ns, UnboxedTuple, 2 + count_commas rest)
+        '(':',':rest         -> Just (ns, BoxedTuple,   2 + count_commas rest)
+        _other               -> Nothing
   where
     count_commas (',':rest) = 1 + count_commas rest
     count_commas _          = 0
 \end{code}
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection{Lexical categories}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 These functions test strings to see if they fit the lexical categories
